We can't find the internet
Attempting to reconnect
Something went wrong!
Hang in there while we get back on track
Update Webhook URL
updateWebhook(webhookUrl: $webhookUrl)
- Method
- POST
- Endpoint
-
Sandbox:
https://api-sandbox.corvusinsurance.com/qProduction:https://crowbar.corvusinsurance.com/q - Authentication
-
Send the headers
X-API-KEY, X-USER-EMAIL, X-USER-NAMEwith every request. See Authentication.
Arguments
Required Required to submit OptionalPass these as variables.
| Name | Type | Required | Description |
|---|---|---|---|
| webhookUrl | String! | Required | The new URL where you want to receive webhook notifications. Must be a valid HTTPS URL that can receive POST requests. |
After updating your webhook URL, we recommend testing it by sending a test submission and verify that the relevant webhook events are triggered.
Manage and test in the Developer Portal
In the Developer Portal you can edit your webhook URL and click Test Webhook to send a signed sample event to it, without submitting a quote request. Register and sign in to try it, or contact us to get access. See Developer Portal.
Response fields
Select only the fields you need in the selection set.
| Name | Type | Description |
|---|---|---|
| id | ID | Id of the API partner |
| name | String | Name of the API partner |
| webhookUrl | String | The URL webhooks are sent to |